Message Automations

Message Automation Overview

Triggers & Actions

Variables 

Webhook 

data that we send to webhook
{
  "id": "MzQ6NzM1MDY",
  "message_automation": {
    "id": 25,
    "name": "B Buyers",
    "trigger": "direct_message_keyword_match"
  },
  "webinar": {
    "id": 28,
    "name": "Replay"
  },
  "video": {
    "id": 1653,
    "name": "No Audio"
  },
  "viewer_session": {
    "id": 21934199
  },
  "viewer": {
    "id": 10384582,
    "name": "Kenneth Janis",
    "email": "kenethjanis4@gmail.com"
  },
  "direct_message": {
    "id": 73506,
    "message": "How do I get the basic",
    "message_index": 2
  },
  "conversation": {
    "id": 21683
  }
}
we wait response to https://api.webinarfuel.com/message_automation_reply endpoint it is POST request with data
{
  "id": "MTM6NTU", 
  "automation_action": "reply_in_app" or "send_direct_message", 
  "message": "test webhook"
}
where "id"  should be from data that we sent

Your request must include Bearer Token Auth in the Headers: 
curl -X POST -H 'Authorization: Bearer vV5wywvehh3vJ5Dc' -H 'Content-Type: application/json' "https://api.webinarfuel.com/message_automation_reply" -d '{"id": "MTM6NTU", "automation_action": "reply_in_app", "message": "test webhook"}'<br>

Shared Zapier Template
https://zapier.com/shared/0031a1bffe03826e7f53df65183c557bd6f4f214

Conditions


Did this answer your question? Thanks for the feedback There was a problem submitting your feedback. Please try again later.